org.eclipse.emf.cdo.security

## Interface Group

- All Superinterfaces:
    Assignee, CDOObject, CDOWithID, EObject, ModelElement, Notifier, SecurityElement, SecurityItem
  All Known Implementing Classes:
    GroupImpl

      public interface Group
      extends Assignee

  A representation of the model object 'Group'.
  See Also:
    `SecurityPackage.getGroup()`
  Generated
  Model
    annotation="http://www.eclipse.org/emf/2002/Ecore constraints='AcyclicInheritance'"
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

    The following features are supported:

    - `Users`
    - `Inherited Groups`
    - `Inheriting Groups`
    - `All Inherited Groups`
    - `All Inheriting Groups`
    - `All Roles`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADMINISTRATORS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<Group>` | `getAllInheritedGroups()` Returns the value of the 'All Inherited Groups' reference list.
    `EList<Group>` | `getAllInheritingGroups()` Returns the value of the 'All Inheriting Groups' reference list.
    `EList<Role>` | `getAllRoles()` Returns the value of the 'All Roles' reference list.
    `EList<Group>` | `getInheritedGroups()` Returns the value of the 'Inherited Groups' reference list.
    `EList<Group>` | `getInheritingGroups()` Returns the value of the 'Inheriting Groups' reference list.
    `EList<User>` | `getUsers()` Returns the value of the 'Users' reference list.

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.Assignee

      `getId, getRoles, setId`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityElement

      `getRealm`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### ADMINISTRATORS

          static final java.lang.String ADMINISTRATORS

      Since:
        4.3
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getUsers

          EList<User> getUsers()

      Returns the value of the 'Users' reference list. The list contents are of type `User`. It is bidirectional and its opposite is '`Groups`'.

      If the meaning of the 'Users' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Users' reference list.
      See Also:
        `SecurityPackage.getGroup_Users()`, `User.getGroups()`
      Generated
      Model
        opposite="groups"

    - #### getInheritedGroups

          EList<Group> getInheritedGroups()

      Returns the value of the 'Inherited Groups' reference list. The list contents are of type `Group`. It is bidirectional and its opposite is '`Inheriting Groups`'.

      If the meaning of the 'Inherited Groups' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Inherited Groups' reference list.
      See Also:
        `SecurityPackage.getGroup_InheritedGroups()`, `getInheritingGroups()`
      Generated
      Model
        opposite="inheritingGroups"

    - #### getInheritingGroups

          EList<Group> getInheritingGroups()

      Returns the value of the 'Inheriting Groups' reference list. The list contents are of type `Group`. It is bidirectional and its opposite is '`Inherited Groups`'.

      If the meaning of the 'Inheriting Groups' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Inheriting Groups' reference list.
      See Also:
        `SecurityPackage.getGroup_InheritingGroups()`, `getInheritedGroups()`
      Generated
      Model
        opposite="inheritedGroups"

    - #### getAllInheritingGroups

          EList<Group> getAllInheritingGroups()

      Returns the value of the 'All Inheriting Groups' reference list. The list contents are of type `Group`.

      If the meaning of the 'All Inheriting Groups' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'All Inheriting Groups' reference list.
      See Also:
        `SecurityPackage.getGroup_AllInheritingGroups()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"

    - #### getAllInheritedGroups

          EList<Group> getAllInheritedGroups()

      Returns the value of the 'All Inherited Groups' reference list. The list contents are of type `Group`.

      If the meaning of the 'All Inherited Groups' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'All Inherited Groups' reference list.
      See Also:
        `SecurityPackage.getGroup_AllInheritedGroups()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"

    - #### getAllRoles

          EList<Role> getAllRoles()

      Returns the value of the 'All Roles' reference list. The list contents are of type `Role`.

      If the meaning of the 'All Roles' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'All Roles' reference list.
      See Also:
        `SecurityPackage.getGroup_AllRoles()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html